Unexpectedly slow example with larger types for SmallExponent_t
Status: New Start date: 26 Oct 2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Various Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.20 hour

Description

I tried Julian's example from issue #1514 using smaller types for SmallExponent_t, and found that it was significantly faster with

smaller types (approx linear with number of bits in exp).

Investigate, and compare with issue #268.

Then decide what we should do when releasing CoCoA.

Related issues:

Related to CoCoALib - Design #268: Exponent range (in power products) Closed 18 Oct 2012

Related to CoCoA-5 - Bug #1514: Cocoa crashes when calling RingElems Closed 22 Oct 2020

History

#1 - 26 Oct 2020 12:05 - John Abbott

- Related to Design #268: Exponent range (in power products) added

#2 - 26 Oct 2020 12:05 - John Abbott

- Related to Bug #1514: Cocoa crashes when calling RingElems added

#3 - 26 Oct 2020 12:06 - John Abbott

See note 5 in issue #1514.

#4 - 08 Mar 2023 19:54 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
